Name:           rcssserver
Version:        14.0.3
Release:        2%{?dist}
Summary:        Robocup 2D Soccer Simulation Server

Group:          Applications/System
# rcssbase/ libraries are under LGPLv2+
License:        GPLv2+ and LGPLv2+
URL:            http://sourceforge.net/projects/sserver/
Source0:        http://downloads.sourceforge.net/sserver/%{name}-%{version}.tar.gz
# Source 1 is created by me.
Source1:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  automake libtool boost-devel zlib-devel
BuildRequires:  desktop-file-utils flex bison
Provides:       rcssbase = %{version}-%{release}
Obsoletes:      rcssbase < 13.0.0-1

%description
The RoboCup Soccer Simulator Server (rcssserver) is a research and educational
tool for mutli-agent systems and artificial intelligence. It allows 11
simulated autonomous robotic players to play soccer (football).

This package includes the simulation server. If you want to view the games 
you should install and run a monitor (rcssmonitor or rcssmonitor_classic).

%package        devel
Summary:        Header files and libraries for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       boost-devel
Provides:       rcssbase-devel = %{version}-%{release}
Obsoletes:      rcssbase-devel < 13.0.0-1

%description    devel
This package contains the header files and libraries
for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%package        gui
Summary:        A simple way to run 2D Soccer Simulation on a single machine
Group:          Applications/System
Requires:       %{name} = %{version}-%{release}
Requires:       rcssmonitor

%description    gui
This package contains rcsoccersim script as simple way for
running 2D Soccer Simulation on a single machine. It'll also
provide a menu entry for this script.


%prep
%setup -q
sed -i.lib \
    -e 's|\$ac_boost_path/lib|\$libdir|' \
    -e 's|$ac_boost_path_tmp/lib|\$libdir|' \
    m4/ax_boost_base.m4
autoreconf -if
# Fix rpath
sed -i.rpath -e '/sys_lib_search_path_spec/s| /usr/lib| /lib64 /usr/lib64 /usr/lib|' \
    configure

%build
%configure --with-boost-filesystem=mt
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
#%{?_smp_mflags} doesn't work
make 

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
rm -rf %{buildroot}/%{_libdir}/*.la

desktop-file-install --vendor="fedora"                 \
  --dir=%{buildroot}/%{_datadir}/applications %{SOURCE1}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING.LESSER NEWS README 
%{_bindir}/rcss*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so

%files gui
%defattr(-,root,root,-)
%{_bindir}/rcsoccersim
%{_datadir}/applications/*

%changelog
* Fri Jun 04 2010 Hedayat Vatankhah <hedayat@fedoraproject.org> - 14.0.3-2
- Fixed the build error in F12

* Fri Jun 04 2010 Hedayat Vatankhah <hedayat@grad.com> 14.0.3-1
- Updated to 14.0.3 with some bug fixes

* Mon Jan 18 2010 Hedayat Vatankhah <hedayat@grad.com> 14.0.2-1
- Updated to 14.0.2 with some bug fixes

* Mon Nov 15 2009 Hedayat Vatankhah <hedayat@grad.com> 14.0.1-1
- Updated to 14.0.1 which fixes a bug in the new catch model

* Mon Nov 02 2009 Hedayat Vatankhah <hedayat@grad.com> 14.0.0-1
- Updated to 14.0.0 which brings some new features including:
  - New Dash and Stamina models
  - Introduce fould model
  - Golden goal option

* Wed Aug 05 2009 Hedayat Vatankhah <hedayat@grad.com> 13.2.2-1
- Updated to 13.2.2 which brings some bug fixes

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 13.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 22 2009 Hedayat Vatankhah <hedayat@grad.com> 13.2.0-2
- Rebuild for the new boost libraries

* Tue Apr 07 2009 Hedayat Vatankhah <hedayat@grad.com> 13.2.0-1
- Updated to the latest upstream release

* Sun Mar 01 2009 Hedayat Vatankhah <hedayat@grad.com> 13.1.0-3
- Added a patch for gcc 4.4 compatibility.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 13.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Hedayat Vatankhah <hedayat@grad.com> 13.1.0-1
- Bump to 13.1.0 version.

* Wed Dec 17 2008 Benjamin Kosnik  <bkoz@redhat.com> 13.0.2-2
- Rebuild for boost-1.37.0.

* Thu Dec 04 2008 Hedayat Vatankhah <hedayat@grad.com> 13.0.2-1
- Bump to 13.0.2 version.

* Wed Nov 19 2008 Hedayat Vatankhah <hedayat@grad.com> 13.0.1-1
- Bump to 13.0.1 version.

* Wed Nov 5 2008 Hedayat Vatankhah <hedayat@grad.com> 13.0.0-1
- Update the package to the new versoin
- Obsoletes rcssbase as it is included in rcssserver

* Sun Oct 26 2008 Hedayat Vatankhah <hedayat@grad.com> 12.1.4-1
- Updated to the latest version.

* Sat Sep 13 2008 Hedayat Vatankhah <hedayat@grad.com> 12.1.3-2
(Thanks to Mamoru Tasaka)
- Fixed License tag
- Fixed gui sub-package requires to include release number of the main package
- Added defattr to -gui files section
- Modules moved completely to the main package (from -devel)
- Fixed libdir problem in 64bit platforms in rcsoccersim.in 

* Thu Sep 11 2008 Hedayat Vatankhah <hedayat@grad.com> 12.1.3-1
- Updated to the latest version (12.1.3)

* Thu Sep 04 2008 Hedayat Vatankhah <hedayat@grad.com> 12.1.1-1
- Some fixes from rcssbase.spec
- Added gui subpackage

* Fri Jul 11 2008 Hedayat Vatankhah <hedayat@grad.com> 12.1.1-1
- Initial version
